Range PromQL query
curl --request GET \
--url http://aris.local/api/metrics/query_range \
--header 'Authorization: Bearer <token>'import requests
url = "http://aris.local/api/metrics/query_range"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://aris.local/api/metrics/query_range', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>",
"message": "<string>",
"hint": "<string>"
}{
"error": "Unauthorized",
"message": "Valid authentication required"
}Metrics
Range PromQL query
Execute a range PromQL query against VictoriaMetrics.
GET
/
api
/
metrics
/
query_range
Range PromQL query
Authorizations
Session token or API token
Query Parameters
PromQL query
Start timestamp (seconds or RFC3339)
End timestamp (seconds or RFC3339)
Query resolution step (e.g., "1m", "5m")
Response
Query result
The response is of type object.
⌘I

